<?php


class TelegramBot
{

    protected $token;
    protected $base_url = 'https://api.telegram.org/bot';
    public $update_id;

    public function __construct($token)
    {
        $this->token = $token;
        $this->base_url .= $token . '/';
    }

    public function sendRequest($method, $params = [])
    {
        $url = $this->base_url . $method;
        if (!empty($params)) {
            $url .= '?' . http_build_query($params);
        }
        return json_decode(file_get_contents($url));
    }

    public function getUpdates()
    {
        $params = [];
        if (!empty($this->update_id)) {
            $params = [
                'offset' => $this->update_id + 1,
            ];
        }
        $res = ($this->sendRequest('getUpdates', $params))->result;
        if (!empty($res)) {
            $this->update_id = $res[count($res) - 1]->update_id;
        }
        return $res;
    }

    public function sendMessage($chat_id, $text, $params = [])
    {
        return $this->sendRequest('sendMessage', [
            'chat_id' => $chat_id,
            'text' => $text,
        ]);
    }

    public function sendPhoto()
    {

    }

}